#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  id3lib-3.8.3

- Next

  intel-vaapi-driver-2.4.1

- Up
- Home

# intel-media-23.4.3

## Introduction to intel-media

The intel-media package provides a VA API driver for Intel GPUs that are provided with Broadwell CPUs and higher. This includes support for a variety of codecs.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://github.com/intel/media-driver/archive/refs/tags/intel-media-23.4.3.tar.gz

- Download MD5 sum: 5e2fffaf1c1972b8791c3cfd59cd6a9e

- Download size: 25 MB

- Estimated disk space required: 2.1 GB (359 MB installed)

- Estimated build time: 6.3 SBU (with parallelism=4)

### Note

The tarball `intel-media-23.4.3.tar.gz` will extract to the directory `media-driver-intel-media-23.4.3`.

### intel-media Dependencies

#### Required

CMake-3.28.3, Intel-gmmlib-22.3.16, libva-2.20.0, and Xorg build environment

## Kernel Configuration

Enable the following options in the kernel configuration. Recompile the kernel if necessary:

    Device Drivers --->
      Graphics support --->
        <*/M> Direct Rendering Manager (XFree86 4.1.0 and higher DRI support) --->
                                                                          ...  [DRM]
        <*/M> Intel 8xx/9xx/G3x/G4x/HD Graphics                           [DRM_I915]

## Installation of intel-media

### Note

This package takes a long time to build because it compiles code specific to each individual generation of Intel GPUs and for a variety of media codecs.

If you know the model of your Intel GPU, you can pass the `-D{GEN{8,9,11,12},MTL,ARL}=OFF` option to the cmake command but leaving the option for your GPU out. Note that the “GEN” number here is the generation of the GPU, not the CPU. For example, with an Intel Core i7-1065G7 CPU shipping a 11th-generation Intel GPU, the `-D{GEN{8,9,12},MTL,ARL}=OFF` option can be used so the code specific to the other generations of Intel GPUs won't be built.

To determine the model of the Intel GPU, install pciutils-3.10.0 and run lspci -nn | grep -Ei 'VGA|DISPLAY' first. It will output some information about the GPU. If the output contains `Meteor Lake`, the GPU model is `MTL`. Otherwise, follow https://dgpu-docs.intel.com/devices/hardware-table.html to find the entry for your GPU and the model of the GPU should be in the “Architecture” column. The Xe and XeHPG architectures are covered by the `GEN12` model.

Install intel-media by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$XORG_PREFIX \
          -DINSTALL_DRIVER_SYSCONF=OFF        \
          -DBUILD_TYPE=Release                \
          -G Ninja                            \
          -Wno-dev ..                   &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Contents

Installed Programs: None
Installed Libraries: libigfxcmrt.so
Installed Drivers: iHD_drv_video.so
Installed Directories: /usr/include/igfxcmrt

## Short Descriptions

`libigfxcmrt.so` | provides API functions which allow running GPU kernels on the render engine

- Prev

  id3lib-3.8.3

- Next

  intel-vaapi-driver-2.4.1

- Up
- Home